Package org.jboss.resteasy.security.smime

## Class MultipartSignedReader

- java.lang.Object
- - org.jboss.resteasy.security.smime.MultipartSignedReader

- All Implemented Interfaces:
    `javax.ws.rs.ext.MessageBodyReader<SignedInput>`

      @Provider
      @Consumes("multipart/signed")
      public class MultipartSignedReader
      extends Object
      implements javax.ws.rs.ext.MessageBodyReader<SignedInput>

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MultipartSignedReader()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isReadable​(Class<?> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType)` |
    `SignedInput` | `readFrom​(Class<SignedInput> type, Type genericType, Annotation[] annotations, javax.ws.rs.core.MediaType mediaType, javax.ws.rs.core.MultivaluedMap<String,​String> headers, InputStream entityStream)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultipartSignedReader

          public MultipartSignedReader()

  - ### Method Detail

    - #### isReadable

          public boolean isReadable​(Class<?> type,
                                    Type genericType,
                                    Annotation[] annotations,
                                    javax.ws.rs.core.MediaType mediaType)

      Specified by:
        `isReadable` in interface `javax.ws.rs.ext.MessageBodyReader<SignedInput>`

    - #### readFrom

          public SignedInput readFrom​(Class<SignedInput> type,
                                      Type genericType,
                                      Annotation[] annotations,
                                      javax.ws.rs.core.MediaType mediaType,
                                      javax.ws.rs.core.MultivaluedMap<String,​String> headers,
                                      InputStream entityStream)
                               throws IOException,
                                      javax.ws.rs.WebApplicationException

      Specified by:
        `readFrom` in interface `javax.ws.rs.ext.MessageBodyReader<SignedInput>`
      Throws:
        `IOException`
        `javax.ws.rs.WebApplicationException`